# Entitlements Entitlements ## Creates a new entitlement record that does not already exist. - [POST /entitlements/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlements/createentitlement.md): This method will auto-generate an ID and create a new entitlement. If an ID is specified for the entitlement, an error will be thrown. ## Execute Batch Operations - [POST /entitlements/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlements/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Check that a contact/organization has an entitlement - [GET /entitlements/{tenantId}/checkEntitlement/{owner_type}/{owner_id}/{type_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlements/checkentitlement.md): Returns a list of records with the specified owner_entitlement_type ## Returns a list of records with the specified contact_id - [GET /entitlements/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlements/listentitlementsbycontactid.md): Returns a list of records with the specified contact_id ## Returns a list of records with the specified order_id - [GET /entitlements/{tenantId}/order/{order_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlements/listentitlementsbyorderid.md): Returns a list of records with the specified order_id ## Returns a list of records with the specified organization_id - [GET /entitlements/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlements/listentitlementsbyorganizationid.md): Returns a list of records with the specified organization_id ## Returns a list of records with the specified owner_entitlement_type - [GET /entitlements/{tenantId}/ownerEntitlementType/{owner_type}/{owner_id}/{type_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlements/listentitlementsbyownerentitlementtype.md): Returns a list of records with the specified owner_entitlement_type ## Returns a entitlement from the system by its ID. - [DELETE /entitlements/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlements/deleteentitlement.md): This method will delete a entitlement with the specified ID. ## Returns a entitlement from the system by its ID. - [GET /entitlements/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlements/getentitlement.md): This method will look up a entitlement by the specified ID and return it back. ## Partially updates a entitlement with the specified ID. - [PATCH /entitlements/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlements/patchentitlement.md): This method will patch an existing entitlement with the specified ID, using the HTTP PATCH specification. ## Updates a entitlement with the specified ID. - [PUT /entitlements/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlements/updateentitlement.md): This method will update an existing entitlement with the specified ID.